Crash when using "Identify Features" in Ubuntu?
Status: Feedback

Priority: High

Assignee:

Category: Map Tools

Affected QGIS version:3.6.3 Regression?: No

Operating System: Ubuntu 18.04.2 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29923

Description

Hi - I am having problems with the Identify Feature function - when I load something (either a ESRI shapefile or a raster both lead to this

problem), click Identify Features, and then mouse over the main area of QGIS showing the raster or shape, QGIS immediately crashes. 

I've tried enabling log file, but nothing is written to it during the crash.  This only happens in Ubuntu, I haven't been able to reproduce it

with the same version (nominally) of QGIS running on Windows.  I'm using QGIS 3.6.3, and Ubuntu 18.04.2 LTS.

History

#1 - 2019-05-21 10:46 AM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category changed from Unknown to Map Tools

Please try with a new/clean QGIS profile, no 3rd party plugins installed.

#2 - 2019-05-22 12:30 AM - Matteus T

Giovanni Manghi wrote:

Please try with a new/clean QGIS profile, no 3rd party plugins installed.

Hi- thanks for the quick reply!  I removed and then reinstalled QGIS and left it completely clean with no plug-ins.  It still crashes.  I've tried to do a bit more

troubleshooting, and here are some things I've found that might be helpful:

1. I found other ways that I can get the same crash: any time I select a mode from the toolbar that would require a different icon to be displayed when I

move the cursor back over the data.  For instance, clicking on the magnifier+ or the magnifier- buttons exhibit exactly the same behavior (program crashes

as soon as I then mouse down over the data, where presumably QGIS is trying to change the displayed cursor icon).

2. more clues that support this theory: in the terminal window where I launch qgis from, here is the transcript of the messages I get when I run qgis:

ubuntu@ip-123-45-67-89:~$ qgis

Warning: QXcbConnection: Failed to initialize XRandr

Warning: Qt: XKEYBOARD extension not present on the X server.

from here QGIS launches and operates normally until I click on one of the above mentioned buttons (mag+, mag-, or Identify Feature) that changes the

cursor and mouse over the data, at which point it crashes and the additional messages appear in my terminal window:
Warning: qt_xcb_createCursorXRender: query_pict_formats failed

Warning: The X11 connection broke (error 2).  Did the X11 server die?

Which pop up at the same time my QGIS window disappears (crashes).  The warning that mentions qt_xcb_createCursorXRender seems, to my

admittedly untrained eye, to be maybe a important clue?  Hope this helps, happy to try and help in any other ways I can.  Thanks a lot.  -Mark

PS- forgot to mention one addition thing - I can't press the Identify Feature button before loading data (greyed out), but I can press the mag+ or mag-

buttons. Interestingly, I can move my mouse over the blank area where data would normally appear without causing a crash (also, the cursor stays the

unchanged pointy-arrow, does not display as mag+ or mag-), but then when I load data and mouse down over that area- crash.

PPS- hmm..  wanted to add this as well, since it somewhat complicates my earlier theory about switching cursors.  I can successfully load a raster, and

then mouse over it with the "measure" tool selected, which does cause the cursor to change into a crosshair.

#3 - 2019-05-22 07:47 PM - Matteus T

- Status changed from Feedback to Open

Please let me know if there is any more troubleshooting that would be helpful that I can do on my end. Thanks.

#4 - 2019-05-23 11:20 AM - Giovanni Manghi

- Status changed from Open to Feedback

Mark Topinka wrote:

Giovanni Manghi wrote:

Please try with a new/clean QGIS profile, no 3rd party plugins installed.

Hi- thanks for the quick reply!  I removed and then reinstalled QGIS and left it completely clean with no plug-ins.

you sure have you removed the QGIS folder in ~/.local/share ?

if yes then please attach a sample project+data. The tif ypu attached does not cause any crash here, on Ubuntu or Windows-

Files

example.tif 88.9 KB 2019-05-21 Matteus T
